@charset "utf-8";

th.dtfc-fixed-left, th.dtfc-fixed-right { z-index: 2; }

td.dtfc-fixed-left, td.dtfc-fixed-right { z-index: 2; background-color: var(--vz-secondary-bg); }

.daterangepicker, .daterangepicker .calendar-table { background: var(--vz-secondary-bg); }

.daterangepicker .calendar-table { border-width: medium; border-style: none; border-color: currentcolor; border-image: initial; }

.daterangepicker .calendar-table th { border-radius: 0px; }

.daterangepicker .calendar-table td { color: var(--vz-body-color); }

.daterangepicker .calendar-table th, .daterangepicker .calendar-table td { background: 0px 0px; border: 1px solid transparent; border-radius: 150px; box-sizing: border-box; color: var(--vz-body-color); cursor: pointer; font-weight: 400; width: 14.2857%; flex-basis: 14.2857%; max-width: 39px; height: 39px; line-height: 39px; margin: 0px; display: table-cell; position: relative; -webkit-box-pack: center; justify-content: center; text-align: center; }

.daterangepicker .calendar-table table thead { background-color: rgb(75, 56, 179); color: rgb(255, 255, 255); }

.daterangepicker .calendar-table table thead th { color: rgb(255, 255, 255); display: table-cell; border-radius: 0px; border-color: rgb(75, 56, 179); }

.daterangepicker td.available:hover, .daterangepicker th.available:hover, .daterangepicker .ranges li:hover { cursor: pointer; outline: 0px; background-color: var(--vz-light); border-color: var(--vz-light); }

.daterangepicker td.in-range { border-radius: 0px; box-shadow: -5px 0 0 var(--vz-light),5px 0 0 var(--vz-light); background-color: var(--vz-light); border-color: var(--vz-light); }

.daterangepicker td.start-date { border-radius: 50px 0px 0px 50px; border-width: medium; border-style: none; border-color: currentcolor; border-image: initial; }

.daterangepicker td.end-date { border-radius: 0px 50px 50px 0px; border-width: medium; border-style: none; border-color: currentcolor; border-image: initial; }

.daterangepicker td.start-date, .daterangepicker td.end-date, .daterangepicker .ranges li.active { background: rgb(75, 56, 179); box-shadow: rgba(56, 65, 74, 0.1) 0px 3px 3px; color: rgb(255, 255, 255); border-color: rgb(75, 56, 179); }

.daterangepicker td.off, .daterangepicker td.off.in-range, .daterangepicker td.off.start-date, .daterangepicker td.off.end-date { color: rgba(var(--vz-body-color-rgb),.3); background: 0px 0px; border-color: transparent; cursor: default; box-shadow: none; }

.daterangepicker.show-ranges.ltr .drp-calendar.left { border-left: 1px solid var(--vz-border-color); }

.daterangepicker .drp-buttons { border-top: 1px solid var(--vz-border-color); }

.daterangepicker { border: 1px solid var(--vz-border-color); }

.table-wraper { width: 100%; }

.ad-snippet { padding: 10px; min-width: 350px; max-width: 600px; width: auto; min-height: 100px; box-shadow: rgba(0, 0, 0, 0.04) 0px 0px 6px 0px, rgba(13, 35, 67, 0.25) 0px 4px 10px 0px; border-left: var(--vz-primary) solid 3px; }

.ad-snippet p { margin: 0px !important; }

.ad-stat-date-wrapper { min-width: 225px; }

.filter-wraper { padding: 10px 0px; margin: 0px 0px 10px; border: 1px solid rgb(222, 226, 230); }

.btn-settings-light { margin: -13px 0px 0px -15px; position: absolute; color: rgb(173, 173, 173) !important; }

.btn-settings-light:focus, .btn-settings-light.focus { outline: 0px !important; box-shadow: rgba(0, 123, 255, 0.25) 0px 0px 0px 0px !important; }

.date-range-modal { display: none; position: absolute; z-index: 999; padding: 15px; border-radius: 3px; box-shadow: rgba(0, 0, 0, 0.04) 0px 0px 6px 0px, rgba(13, 35, 67, 0.25) 0px 4px 10px 0px; margin: 5px 0px 0px; }

.daterangepicker::before, .daterangepicker::after, span.drp-selected, minstatdate, maxstatdate { display: none !important; }

.additional-filters { padding: 10px 0px; margin: 15px 0px 10px; border: 1px solid rgb(222, 226, 230); }

.product-daily-stat-table td, .product-daily-stat-table th { white-space: nowrap; }

.productList, .groupProductList { max-height: 250px; overflow: auto; }

.form-control-small { background-color: rgb(255, 255, 255); border: 1px solid rgb(206, 212, 218); transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out; width: 100%; }

.reload-reports-block { min-height: 200px; }

.reload-reports-table-block { inset: 0px; position: absolute; }

.reload-reports-table-block .reload-icon { font-size: 32px; }

.full-page-loader { position: fixed; inset: 0px; background-color: rgba(255, 255, 255, 0.43); z-index: 3; }

.product-image { max-height: 150px; max-width: 100%; }

.sub-color { color: rgb(28, 31, 34); }

.product-country-flag { max-width: 25px; border-radius: 2px; }

.product-amazon-logo { width: 15px; }

.product-trademark-logo { width: 15px; }

.grey-border-right { border-right: 2px solid rgb(214, 212, 212); }

.product-stat-table { box-shadow: rgba(0, 0, 0, 0.75) 0px 1px 5px 0px; overflow: hidden; }

.pagination .page-item { margin: 0px 0.25rem; }

.pagination .page-link { border-width: medium; border-style: none; border-color: currentcolor; border-image: initial; border-radius: 5px; font-size: 16px; padding: 0.4rem 0.8rem; font-weight: bold; }

.pagination .page-item.active .page-link { }

.pagination .page-item:first-child .page-link { }

table.product-stat-table tbody th { min-width: 85px; }

table.product-stat-table tbody td { min-width: 70px; }

.product-general-info { font-size: 11px; }

.report-possible-fields-list .list-group-item { padding: 0.1rem 0.25rem; }

.report-possible-fields-list .list-group-item .form-check-input { margin-top: 0.1rem; }

.report-possible-fields-list .list-group-item .fas { margin-top: 0.1rem; }

.select2-container--default .select2-selection--single .select2-selection__clear { margin-right: 34px; margin-top: 5px; }

.btn-warning, .btn-warning:hover, .btn-warning:active, .btn-warning:focus, .btn-warning:focus-visible { color: black; }

.line-height-24 { line-height: 24px; }

.chart-enablers .chart-element { border-top: 3px solid; }

.chart-element .chart-element-value { padding: 0.5rem 0px 0px; font-size: 16px; }

.chart-element.border-bg-success { border-color: var(--vz-success); }

.chart-element.border-bg-info { border-color: var(--vz-info); }

.chart-element.border-bg-warning { border-color: var(--vz-warning); }

.chart-element.border-bg-danger { border-color: var(--vz-danger); }

.chart-metrics-dropdown-menu { max-height: 300px; overflow: auto; }

.product-stat-table .badge { font-size: 0.5rem; }

.btn-with-icon { padding-right: 2rem; }

.btn-with-icon i { position: absolute; top: -1px; font-size: 19px; right: 7px; }

.table-fixed-column th:first-child, .table-fixed-column td:first-child { left: 0px; z-index: 2; position: sticky !important; }

.table-fixed-column td:first-child { background-color: var(--vz-secondary-bg); }

.remove-all-selected-filters { display: none; }

.selected-table-filters + a.remove-all-selected-filters { display: initial; }

.whole-block-loader { background-color: rgba(255, 255, 255, 0.43); z-index: 3; }

.chart-collapse-button, .add-filters-collapse-button { width: 53px; -webkit-box-flex: 0; flex: 0 0 auto; text-align: center; }

.table-badge { font-size: var(--vz-body-font-size); }

.spinner-border-xs { --vz-spinner-width: 0.7rem; --vz-spinner-height: 0.7rem; --vz-spinner-border-width: 0.1em; }

.table .fit-width { white-space: nowrap; width: 1%; }

.top-5-px { top: 5px; }

.right-5-px { right: 5px; }

.select2-selection.select2-selection--multiple { display: flex; }

.data-table-list .table-total-header th { color: var(--vz-body-color) !important; }

.table .table-sm-custom td { padding: 0.3rem 0.25rem; }

.table .table-sm-custom th { padding: 0.75rem 0.3rem; }

.table .table-selector-column { margin-left: 0.35rem; }

.btn-group-xs > .btn, .btn-xs { padding: 0.25rem 0.4rem; font-size: 0.875rem; line-height: 0.5; border-radius: 0.2rem; }

.color-selector-dropdown .dropdown-item { padding: 3px 2px; }

.color-selector-dropdown .dropdown-menu { padding: 0.3rem 0px; width: 60px; --vz-dropdown-min-width: auto; }

.color-selector-dropdown .dropdown-menu.short, .color-selector-dropdown .dropdown-menu.short li { width: 30px; }

.color-selector-dropdown .dropdown-menu li { width: 60px; }

.square-color-selector { width: 27.27px; height: 100%; }

.popover-color-selector { height: 27.82px; }

table.dataTable > thead .no-sorting-selector.sorting::before { content: ""; }

table.dataTable > thead .no-sorting-selector.sorting::after { content: ""; }

.jconfirm .jconfirm-box.jconfirm-type-purple { border-top: solid 7px var(--vz-primary); }

.jconfirm .jconfirm-box.jconfirm-type-red { border-top: solid 7px var(--vz-danger); }

.jconfirm.jconfirm-black .jconfirm-box, .jconfirm.jconfirm-dark .jconfirm-box { --vz-modal-bg: var(--vz-secondary-bg); background: var(--vz-secondary-bg); color: var(--vz-heading-color); }

.jconfirm.jconfirm-black .jconfirm-bg, .jconfirm.jconfirm-dark .jconfirm-bg { background-color: black; opacity: 0.4; }

@keyframes progress { 
  0% { --percentage: 0; }
  100% { --percentage: var(--value); }
}

@property --percentage { syntax: "<number>"; inherits: true; initial-value: 0; }

[role="progressbar"] { --percentage: var(--value); --secondary: var(--vz-primary-bg-subtle); --bg: var(--bg); --size: 35px; width: var(--size); margin: 0px 0.1rem; aspect-ratio: 1 / 1; border-radius: 50%; position: relative; overflow: hidden; display: grid; place-items: center; }

[role="progressbar"]::before { content: ""; position: absolute; top: 0px; left: 0px; width: 100%; height: 100%; background: conic-gradient(var(--vz-success) calc(var(--percentage) * 1%), var(--secondary) 0); mask: radial-gradient(rgba(0, 0, 0, 0) 55%, rgb(0, 0, 0) 0px); }

.success[role="progressbar"]::before { background: conic-gradient(var(--vz-success) calc(var(--percentage) * 1%), var(--secondary) 0); }

.warning[role="progressbar"]::before { background: conic-gradient(var(--vz-warning) calc(var(--percentage) * 1%), var(--secondary) 0); }

.primary[role="progressbar"]::before { background: conic-gradient(var(--vz-primary) calc(var(--percentage) * 1%), var(--secondary) 0); }

[role="progressbar"]::after { counter-reset: percentage var(--value); font-size: calc(var(--size) / 3); }

.sp[role="progressbar"]::after { content: "SP"; }

.sd[role="progressbar"]::after { content: "SD"; }

.sb[role="progressbar"]::after { content: "SB"; }

.percent[role="progressbar"]::after { content: "%"; }

.small-transparent-input-group-text { color: var(--vz-body-color); background-color: var(--vz-input-bg-custom); }

.spinner.input-group .input-group-addon a.spin-up, .spinner.input-group .input-group-addon a.spin-down { line-height: 1; }

.targetings-table .dataTables_scrollBody { overflow-y: clip !important; }

.column-header-same-bg { background-color: var(--vz-table-bg) !important; }

.percentage-in-circle-font { font-size: 0.6rem; }

.filled-dropdown-selector { box-shadow: inset 0 0 0 2px var(--vz-primary-border-subtle); }

.custom-dropdown-selector .form-control { border-radius: var(--vz-border-radius) !important; }

.input-group .form-control.filter-date-range { border-radius: var(--vz-border-radius) !important; }

.selector-window-loader { position: absolute; inset: 0px; background-color: rgba(255, 255, 255, 0.43); z-index: 4; border-radius: var(--vz-dropdown-border-radius); }

.top-page-selector .dropdown-item.active { border: 1px solid var(--vz-primary-border-subtle); }

.topbar-badge.lower-badge { top: 9px !important; }

.dot { width: 8px; height: 8px; border-radius: 50%; display: inline-block; flex: 0 0 auto; }

.dot.success { background: rgb(var(--vz-success-rgb)); box-shadow: rgba(69, 203, 133, 0.12) 0px 0px 0px 3px; }

.dot.primary { background: rgb(var(--vz-primary-rgb)); box-shadow: rgba(91, 60, 196, 0.16) 0px 0px 0px 3px; }